# Glom::Spawn Namespace Reference

## Namespaces

namespace | Impl

## Typedefs

typedef sigc::slot< void > | SlotProgress
| This callback should show UI to indicate that work is still happening.

## Functions

bool | execute_command_line_and_wait (const std::string& command, const SlotProgress& slot_progress)
| Execute a command-line command, and wait for it to return.
bool | execute_command_line_and_wait (const std::string& command, const SlotProgress& slot_progress, std::string& output)
| Execute a command-line command, and wait for it to return.
bool | execute_command_line_and_wait_until_second_command_returns_success (const std::string& command, const std::string& second_command, const SlotProgress& slot_progress, const std::string& success_text=std::string())
| Execute a command-line command, and repeatedly call a second command that tests whether the first command has finished.

## Typedef Documentation

typedef sigc::slot<void> Glom::Spawn::SlotProgress

This callback should show UI to indicate that work is still happening.

For instance, a pulsing ProgressBar.

## Function Documentation

bool Glom::Spawn::execute_command_line_and_wait | ( | const std::string & | command,
|  | const SlotProgress & | slot_progress,
|  | std::string & | output |
| ) |  |  |

Execute a command-line command, and wait for it to return.

Parameters:

  | command | The command-line command.
  | message | A human-readable message to be shown, for instance in a dialog, while waiting. A callback to call while the work is still happening. The stdout output of the command.

bool Glom::Spawn::execute_command_line_and_wait | ( | const std::string & | command,
|  | const SlotProgress & | slot_progress |
| ) |  |  |

Execute a command-line command, and wait for it to return.

Parameters:

  | command | The command-line command.
  | message | A human-readable message to be shown, for instance in a dialog, while waiting. A callback to call while the work is still happening.

bool Glom::Spawn::execute_command_line_and_wait_until_second_command_returns_success | ( | const std::string & | command,
|  | const std::string & | second_command,
|  | const SlotProgress & | slot_progress,
|  | const std::string & | success_text = `std::string()` |
| ) |  |  |

Execute a command-line command, and repeatedly call a second command that tests whether the first command has finished.

Parameters:

  | command | The command-line command.
  | message | A human-readable message to be shown, for instance in a dialog, while waiting. A callback to call while the work is still happening. If this is not empty, then the second command will only be considered to have succeeded when this text is found in its stdout output.